Loading...
Searching...
No Matches
casacore::MSProcessorEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet PROCESSER table. More...

`#include <MSProcessorEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , FLAG_ROW , MODE_ID , TYPE , TYPE_ID , SUB_TYPE , NUMBER_REQUIRED_COLUMNS , PASS_ID , NUMBER_PREDEFINED_COLUMNS }
| The PROCESSOR table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet PROCESSER table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet PROCESSOR table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSProcessor class. These enumerations define the standard columns and keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSProcessorEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSProcessorEnums::PredefinedColumns

The PROCESSOR table colums with predefined meaning.

Keys: PROCESSOR_ID is rownumber

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
FLAG_ROW | Row flag Bool.
MODE_ID | Processor mode id Int.
TYPE | The Processor type String.
TYPE_ID | Processor type id - points to subtype_type subtable Int.
SUB_TYPE | Processor sub type String.
NUMBER_REQUIRED_COLUMNS | Number of required columns .
PASS_ID | Processor pass number Int.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 61 of file MSProcessorEnums.h.

## PredefinedKeywords

enum casacore::MSProcessorEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 90 of file MSProcessorEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSProcessorEnums.h